package com.jeeplus.sys.feign;

import com.alibaba.fastjson.JSON;
import com.jeeplus.sys.utils.DictUtils;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class DictApiImpl implements IDictApi {


    @Override
    public String getDictValue(String label, String type, String defaultValue) {
        return DictUtils.getDictValue ( label, type, defaultValue );
    }

    @Override
    public String getDictLabel(String value, String type, String defaultLabel) {
        return DictUtils.getDictLabel ( value, type, defaultLabel );
    }

    @Override
    public String getDictMap(String dict) {
        return JSON.toJSONString(DictUtils.getDictMap().get(dict));
    }
}
